Order Detail

Get VA order detail with VA list via SePay API v2. Supports BIDV and Sacombank.


Order Detail

GET
https://userapi.sepay.vn/v2/bank-accounts/{ba_xid}/orders/{order_xid}
Path Parameters
ParameterTypeDescription
ba_xidstring (UUID)Bank account UUID
order_xidstring (UUID)Order UUID
Code Examples
>
>
>
curl --request GET \
--url https://userapi.sepay.vn/v2/bank-accounts/f9e8d7c6-b5a4-3210-fedc-ba0987654321/orders/b2c3d4e5-f6a7-8901-bcde-f12345678902 \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
Response
{
  "status": "success",
  "data": {
    "id": "b1c2d3e4-f5a6-7890-bcde-f12345678901",
    "order_code": "DH001",
    "amount": 500000,
    "paid_amount": 0,
    "status": "Pending",
    "bank_name": "BIDV",
    "account_number": "0123456789",
    "account_holder_name": "NGUYEN VAN A",
    "created_at": "2026-03-10 10:00:00",
    "updated_at": "2026-03-10 10:00:00",
    "va": [
      {
        "va_number": "9704070012345678",
        "va_holder_name": "NGUYEN VAN A",
        "amount": 500000,
        "paid_at": null,
        "status": "Unpaid",
        "expired_at": "2026-03-11 10:00:00"
      }
    ]
  }
}
Response 200 - Order detail
{
  "status": "success",
  "data": {
    "id": "b2c3d4e5-f6a7-8901-bcde-f12345678902",
    "order_code": "ORD123456789",
    "amount": 1000000,
    "paid_amount": 0,
    "status": "Pending",
    "created_at": "2025-12-18 08:15:00",
    "bank_name": "BIDV",
    "account_number": "1234567890",
    "account_holder_name": "NGUYEN VAN A",
    "va": [
      {
        "va_number": "963NQDORD1234567890AB",
        "va_holder_name": "NGUYEN VAN A",
        "amount": 1000000,
        "status": "Unpaid",
        "expired_at": "2025-12-19 08:15:00",
        "paid_at": null
      }
    ]
  }
}
Errors
  • 404: Returned if the order is not found or does not belong to the authenticated company